package com.ywt.outpatient.service.rpc.common;

/**
 * @author johnson lin
 * @date 2019/6/27 4:17 PM
 */
public class MessageModel {
    /**
     * 用户ID
     */
    private int userId;

    /**
     * 模板编码
     */
    private String tplCode;

    /**
     * 跳转链接
     */
    private String url;

    /**
     * 跳转小程序
     */
    private String miniProgram;

    /**
     * first
     */
    private String first;

    /**
     * remark
     */
    private String remark;

    /**
     * keywords
     */
    private String[] keywords;

    private String[] keynotes;

    public int getUserId() {
        return userId;
    }

    public MessageModel setUserId(int userId) {
        this.userId = userId;
        return this;
    }

    public String getTplCode() {
        return tplCode;
    }

    public MessageModel setTplCode(String tplCode) {
        this.tplCode = tplCode;
        return this;
    }

    public String getUrl() {
        return url;
    }

    public MessageModel setUrl(String url) {
        this.url = url;
        return this;
    }

    public String getMiniProgram() {
        return miniProgram;
    }

    public MessageModel setMiniProgram(String miniProgram) {
        this.miniProgram = miniProgram;
        return this;
    }

    public String getFirst() {
        return first;
    }

    public MessageModel setFirst(String first) {
        this.first = first;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public MessageModel setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String[] getKeywords() {
        return keywords;
    }

    public MessageModel setKeywords(String[] keywords) {
        this.keywords = keywords;
        return this;
    }

    public String[] getKeynotes() {
        return keynotes;
    }

    public MessageModel setKeynotes(String[] keynotes) {
        this.keynotes = keynotes;
        return this;
    }
}
